OpenTTD: Data Fields - Variables

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - t -

- t : TownScopeResolver
- tab : VehicleDetailsWindow
- table : SnowLine , AirportSpec , IndustrySpec
- tabs : StringData
- tag : SaveLoadFormat
- tag_count : ContentInfo
- tags : ContentInfo
- tail : NWidgetContainer
- tail_reserve : ByteBlob
- tar_file : ScriptInfo , ScriptScanner
- target : StringIDMapping , ListOrderChange
- target_count : IndustryTypeBuildData
- targetairport : Aircraft
- Tcapacity : SmallArray< T, B, N >
- terminals : AirportFTAClass
- terraform_frame_burst : ConstructionSettings
- terraform_limit : CompanyProperties
- terraform_per_64k_frames : ConstructionSettings
- terraform_tile_proc : TileTypeProcs
- terrain_type : DifficultySettings
- text : OskWindow , StoryPageElement , TextfileWindow , Town , CommandContainer , LoggedChange , Goal , AllowedSubtags , GRFTextWrapper , GRFText , NamePart
- text_btn : OskWindow
- text_dir : LanguagePackHeader
- text_lines : NWidgetPart
- text_offset : SignListWindow
- text_position : AboutWindow
- text_width : CompanyLeagueWindow
- textref_stack : CommandCost , ErrorMessageData
- textref_stack_grffile : CommandCost , ErrorMessageData
- textref_stack_size : CommandCost , ErrorMessageData
- tgen_smoothness : GameCreationSettings
- this_month_production : Industry
- this_month_transported : Industry
- thread : GenWorldInfo , LinkGraphJob , TCPConnecter , ThreadObject_OS2 , ThreadObject_pthread , ThreadObject_Win32
- threaded : GenWorldInfo
- threaded_saves : GUISettings
- ti : AirportTileTable , HangarTileTable
- tick : LoggedAction
- tick_counter : Vehicle
- TICKER_STOP : StatusBarWindow
- ticks : VideoDriver_Null
- tile : CommandContainer , AirportScopeResolver , AirportTileScopeResolver , CanalScopeResolver , HouseScopeResolver , IndustriesScopeResolver , IndustryTileScopeResolver , ObjectScopeResolver , RailTypeScopeResolver , StationScopeResolver , BasePersistentStorageArray , OrderBackup , FindDepotData , PBSTileInfo , TileAndStation , TileInfo , OrthogonalTileArea , DiagonalTileArea , TileIterator , SpotData , Vehicle
- tile_count : StatueBuildSearchData
- tile_to_new_height : TerraformerState
- tileh : TileInfo
- tiles : StationSpec
- tiles_scope : AirportTileResolverObject
- time : IConsoleLine , Script_Suspend
- time_since_pickup : GoodsEntry
- time_until_rebuild : Town
- timeout : AISettingsWindow , NewGRFParametersWindow
- timeout_timer : Window
- timer_enabled : BuildIndustryWindow
- timetable_arrival_departure : GUISettings
- timetable_duration : OrderList
- timetable_in_ticks : GUISettings
- timetable_start : BaseConsist
- tiny_step_height : VehicleGroupWindow
- title : SmallFiosItem , HighScore , SettingsPage , StoryPage
- to : LinkRefresher::Hop
- to_euro : CurrencySpec
- token : Lexer , ClientNetworkGameSocketHandler
- tool_tip : NWidgetCore
- toolbar_caption : RailtypeInfo
- toolbar_pos : GUISettings
- tooltip : NWidgetPartDataTip
- top : ViewportSign , Blitter::BlitterParams , ParentSpriteToDraw , ViewPort , Window
- top_end : CargoesField
- TOP_OFFSET : NewGRFInspectWindow
- top_offset : AIDebugWindow
- top_spacing : MessageHistoryWindow
- TOP_SPACING : TextfileWindow
- total_bytes : BaseNetworkContentDownloadStatusWindow
- total_duration : OrderList
- total_files : BaseNetworkContentDownloadStatusWindow
- total_size : PacketWriter
- total_width : CompanyInfrastructureWindow
- town : BaseStation , Industry , HouseScopeResolver , Object , TownViewWindow , TownAuthorityWindow
- town_cn : Depot , Waypoint
- town_council_tolerance : DifficultySettings
- town_effect : CargoSpec
- town_growth_rate : EconomySettings
- town_layout : FoundTownWindow , EconomySettings
- town_name : GameCreationSettings
- town_noise_population : EconomySettings
- town_scope : IndustriesResolverObject , StationResolverObject , TownResolverObject , ObjectResolverObject
- town_size : FoundTownWindow
- townname_editbox : FoundTownWindow
- townnameparts : FoundTownWindow
- townnamevalid : FoundTownWindow
- track_ns : RailtypeInfo
- track_y : RailtypeInfo
- trackdir : PBSTileInfo
- tractive_effort : RailVehicleInfo , RoadVehicleInfo
- train_acceleration_model : VehicleSettings
- train_signal_side : ConstructionSettings
- train_slope_steepness : VehicleSettings
- train_station : BaseStation
- traininfo_vehicle_pitch : GRFFile
- traininfo_vehicle_width : GRFFile
- transfers : CargoDataEntry
- translated : LangString
- translated_case : LangString
- translation : StringReader
- transport_name : BridgeSpec
- travel_time : Order
- tree_frame_burst : ConstructionSettings
- tree_limit : CompanyProperties
- tree_per_64k_frames : ConstructionSettings
- tree_placer : GameCreationSettings
- tree_to_plant : BuildTreesWindow
- triggers : AnimationInfo
- truck_station : Station
- truck_stops : Station
- Tsize : FixedSizeArray< T, C >
- ttd_airport_type : AirportSpec
- tunnel : RailtypeInfo
- turn_counter : Aircraft
- type : NWidgetBase , CheatEntry , ContentInfo , Industry , IniGroup , Object , OldChunks , Goal , Airport , SettingFilter , LegendAndColour , LoggedChange , Tile , Order , GoalQuestionWindow , NWidgetPart , GRFParameterInfo , Engine , AllowedSubtags , StringParameters , SpriteLoader::Sprite , DriverFactoryBase , VehicleListIdentifier , TownNameParams , IndustryCargoesWindow , SpriteCache , BaseVehicle , UnmappedChoiceList , StoryPageElement , NewsItem , EngineIDMapping , IndustriesScopeResolver , PoolBase , Command , CargoesField
- type_hides : SettingFilter